File: changelog

package info (click to toggle)
lasso 2.6.1-1
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 26,572 kB
  • sloc: ansic: 68,986; xml: 23,675; python: 8,475; sh: 4,524; makefile: 1,576; php: 495; java: 444; perl: 117
file content (534 lines) | stat: -rw-r--r-- 18,180 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
lasso (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/: remove, all patches are now upstream.

 -- Frederic Peters <fpeters@debian.org>  Thu, 23 Apr 2020 20:52:51 +0200

lasso (2.6.0-8) unstable; urgency=medium

  * d/p/fix-parsing-of-saml-authncontext.diff: import upstream commit
    to fix parsing of saml:AuthnContextDecl (closes: #955354)

 -- Frederic Peters <fpeters@debian.org>  Mon, 30 Mar 2020 15:55:54 +0200

lasso (2.6.0-7) unstable; urgency=medium

  * Move lasso.pc to a multiarch location. (patch by Helmut Grohne,
    thanks, closes: #949989)

 -- Frederic Peters <fpeters@debian.org>  Tue, 28 Jan 2020 08:53:34 +0100

lasso (2.6.0-6) unstable; urgency=medium

  * d/control: remove unnecessary python build-dependency (closes: #936817)
  * d/p/build-without-python2.diff: import upstream commits related to
    building with Python 3.

 -- Frederic Peters <fpeters@debian.org>  Sun, 19 Jan 2020 10:23:50 +0100

lasso (2.6.0-5) unstable; urgency=medium

  * d/rules: update build/install target to support coinstalling for multiple
    Python 3 versions (closes: #945123)

 -- Frederic Peters <fpeters@debian.org>  Wed, 20 Nov 2019 11:01:24 +0100

lasso (2.6.0-4) unstable; urgency=medium

  * d/compat: bump to debhelper level 10.
  * d/control: bump Standards-Version to 4.4, but no switch to "dh" yet.
  * d/control, d/rules: remove obsolete support for building Java and PHP
    bindings; this also removes the d/control.in mechanism.
  * d/control: add explicit python dependency, still required for lasso/*.py
    build tools. (will be fixed in next upstream tarball)
  * d/rules: remove PYDEF variable unused with the removal of python-lasso.
  * d/rules: clean Python 3 __pycache__ directories.

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 Sep 2019 08:03:12 +0200

lasso (2.6.0-3) unstable; urgency=medium

  * d/*: remove python-lasso (closes: #936817)

 -- Frederic Peters <fpeters@debian.org>  Fri, 30 Aug 2019 10:39:11 +0200

lasso (2.6.0-2) unstable; urgency=medium

  * d/compat: bump do debhelper level 9.
  * d/control, d/rules: add and use dh-autoreconf.
  * d/watch: add watch file.
  * d/control: bump Standards-Version to 4.1.4 after those changes.
  * d/liblasso3.symbols: add symbols file for liblasso3, imported from Ubuntu,
    thanks to Corey Bryant <corey.bryant@canonical.com> (closes: #894296)
  * d/liblasso3.symbols: update for 2.6.0.
  * d/control: add Multi-Arch: same to liblasso-perl.
  * d/control: use proper capitalization for ${misc:Depends}.
  * d/control: bump versions in X-Python-Version and X-Python3-Version.

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Jun 2018 21:33:58 +0200

lasso (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Jun 2018 09:10:09 +0200

lasso (2.5.99-1) unstable; urgency=medium

  * New upstream release candidate.
    - include support for SHA256 signatures (closes: #901411)
  * debian/patches/0001-perl-remove-quotes-from-PERL-V-ccflags-output.patch
    - dropped, released upstream
  * debian/patches/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch
    - dropped, released upstream

 -- Frederic Peters <fpeters@debian.org>  Wed, 13 Jun 2018 09:25:08 +0200

lasso (2.5.0-5) unstable; urgency=medium

  * d/: disable PHP support for now. (closes: #821547, #821683)

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 May 2016 11:11:01 +0200

lasso (2.5.0-4) unstable; urgency=medium

  * d/control: add missing php5-common dependency. (closes: #811340)

 -- Frederic Peters <fpeters@debian.org>  Thu, 10 Mar 2016 22:38:24 +0100

lasso (2.5.0-3) unstable; urgency=medium

  * d/p/0001-perl-remove-quotes-from-PERL-V-ccflags-output.patch: new patch,
    make sure to remove quotes given by "perl -V::ccflags:" as they ultimately
    cause the 32bit builds to fail. (closes: #809759)
    * Thanks to Niko Tyni for the detailed diagnostic.
  * d/rules: enable verbose builds. (closes: #809760)

 -- Frederic Peters <fpeters@debian.org>  Mon, 11 Jan 2016 09:16:31 +0100

lasso (2.5.0-2) unstable; urgency=medium

  * Build against latest Perl release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 03 Jan 2016 13:33:18 +0100

lasso (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control, d/rules: add new package for Python 3 bindings.

 -- Frederic Peters <fpeters@debian.org>  Fri, 04 Sep 2015 17:48:04 +0200

lasso (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * d/p/perl-get-required-CFLAGS-from-perl-V-ccflags.patch: merged upstream
  * d/p/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch: refreshed

 -- Frederic Peters <fpeters@debian.org>  Thu, 28 Aug 2014 17:27:48 +0200

lasso (2.4.0-4) unstable; urgency=medium

  * d/p/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch: use
    INSTALLDIRS=vendor for the Perl bindings, as per the Debian Perl policy.
    (thanks Niko Tyni)
  * debian/rules, debian/liblasso-perl.install: don't hardcode /usr/lib/perl5
    (thanks Niko Tyni, again) (closes: #752703)

 -- Frederic Peters <fpeters@debian.org>  Wed, 25 Jun 2014 23:15:03 +0200

lasso (2.4.0-3) unstable; urgency=medium

  * d/p/perl-get-required-CFLAGS-from-perl-V-ccflags.patch (stolen from git):
    get required CFLAGS from $(perl -V::ccflags:) (closes: #742522)

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Apr 2014 09:29:11 +0200

lasso (2.4.0-2) unstable; urgency=medium

  * debian/php5-lasso.prerm: fix call to php5dismod. (closes: #734767)

 -- Frederic Peters <fpeters@debian.org>  Mon, 13 Jan 2014 11:00:16 +0100

lasso (2.4.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control, debian/rules: use autoreconf
  * debian/source/version: switch to 3.0 (quilt)

 -- Frederic Peters <fpeters@debian.org>  Tue, 07 Jan 2014 13:22:21 +0100

lasso (2.3.6-3) unstable; urgency=medium

  * Remove double-free in lasso_node_build_deflated_query. (thanks Andjelko
    Horvat, closes: #732543)
  * Enable hardened build flags. (thanks Moritz Muehlenhoff, closes: #667555)
  * debian/php5-lasso.{postinst,prerm}: use php5enmod and php5dismod.
    (closes: #667766)
  * bindings/php5/lasso.ini: change comment marker. (closes: #571736)

 -- Frederic Peters <fpeters@debian.org>  Sun, 29 Dec 2013 10:06:47 +0100

lasso (2.3.6-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply commit a5674b48 from upstream to port to the libxml buffer API.
    Also adopt changes for the Perl binding. libxml stopped to expose the
    internals of xmlOutputBuffer in 2.9. (Closes: #713668)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Jul 2013 14:19:34 +0200

lasso (2.3.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616856).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 30 May 2013 20:36:16 +0200

lasso (2.3.6-2) unstable; urgency=low

  * Fix building against glib 2.32 (closes: #665565, #666636)

 -- Frederic Peters <fpeters@debian.org>  Mon, 02 Apr 2012 17:31:31 +0200

lasso (2.3.6-1) unstable; urgency=low

  * New upstream version.
  * bindings/php5/wrapper_source.py: use zend_function_entry, making it build
    against PHP 5.4 (upstream, closes: #662622)

 -- Frederic Peters <fpeters@debian.org>  Mon, 05 Mar 2012 14:07:05 +0100

lasso (2.3.5-4) unstable; urgency=low

  * Don't force gcc 4.4 anymore; /facepalm. (closes: #635640)

 -- Frederic Peters <fpeters@debian.org>  Thu, 28 Jul 2011 08:16:14 +0200

lasso (2.3.5-3) unstable; urgency=low

  * debian/control.in, debian/rules: disable liblasso-java on all
    architectures, at the moment it is too complicated to have reliable builds
    with java activated. (closes: #624777)
  * build against a newer perl version. (closes: #635446)

 -- Frederic Peters <fpeters@debian.org>  Tue, 26 Jul 2011 22:36:27 +0200

lasso (2.3.5-2) unstable; urgency=low

  * debian/liblasso-perl.install: fixed module name (uppercase L).
    (closes: #622114)
  * debian/liblasso3-dev.install: do not install libtool archive file.
    (closes: #620909, #621560)
  * debian/control.in: add build-dependency on gcc-4.4, to match the gcj
    version that is used.
  * debian/rules:
    + force gcc 4.4, because of gcj 4.4.
    + remove rpath from Lasso.so Perl module.
    + remove obsolete call to dh_python.

 -- Frederic Peters <fpeters@debian.org>  Mon, 11 Apr 2011 09:35:48 +0200

lasso (2.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Feb 2011 09:58:03 +0100

lasso (2.2.1-4) unstable; urgency=low

  * debian/control, debian/rules: updated build-depends for recent gcj
    changes, and to use the default gcc version. (Closes: #566895)

 -- Frederic Peters <fpeters@debian.org>  Mon, 25 Jan 2010 22:34:55 +0100

lasso (2.2.1-3) unstable; urgency=low

  * debian/control, debian/rules: add missing dependency on phpapi-$foo.
    (Closes: #566288)

 -- Frederic Peters <fpeters@debian.org>  Sun, 24 Jan 2010 16:25:18 +0100

lasso (2.2.1-2) unstable; urgency=high

  * Correctly check for signature validity (CVE-2009-0050) (Closes: #511262)

 -- Frederic Peters <fpeters@debian.org>  Fri, 09 Jan 2009 10:30:58 +0100

lasso (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Jul 2008 15:51:52 +0200

lasso (2.2.0-1) unstable; urgency=low

  * New upstream release.
    * Acknowledge NMU.
    * Fixed missing quotes in configure.in (Closes: #487816)
  * debian/control:
    * Updated package descriptions,
    * Used new Homepage field.
    * Moved liblasso-perl to perl section.
  * debian/rules:
    * remove config.log on clean.
    * remove empty id-wsf include directory.

 -- Frederic Peters <fpeters@debian.org>  Sun, 13 Jul 2008 12:06:12 +0200

lasso (2.1.98-4.1) unstable; urgency=high

  * NMU.
  * Don't build-depend on gcj and gcj-4.3 on alpha, arm, hppa (same as for
    java-gcj-compat). Closes: #477870.
  * Adjust list of architectures for liblasso-java. Closes: #479737.

 -- Matthias Klose <doko@debian.org>  Sun, 25 May 2008 11:28:09 +0200

lasso (2.1.98-4) unstable; urgency=low

  * debian/rules: create control from control.in, so liblasso-java is not
    built on architectures lacking gcj.

 -- Frederic Peters <fpeters@debian.org>  Sun, 04 May 2008 12:17:10 +0200

lasso (2.1.98-3) unstable; urgency=low

  * debian/liblasso-perl.install: really fix building with Perl 5.10.

 -- Frederic Peters <fpeters@debian.org>  Sat, 03 May 2008 12:30:41 +0200

lasso (2.1.98-2) unstable; urgency=low

  * debian/liblasso-perl.install: use wildcard for minor version number; so it
    still works with Perl 5.10.  (closes: #479065)

 -- Frederic Peters <fpeters@debian.org>  Fri, 02 May 2008 16:30:09 +0200

lasso (2.1.98-1) unstable; urgency=low

  * New upstream release (RC).
  * debian/control:
    * build new php5-lasso package.
    * limit liblasso-java to architecture with gcj (closes: #477870).
    * add Homepage field.
    * liblasso3-dev: Replace ${Source-Version} with ${binary:Version}
      (from Ubuntu patch)
  * debian/rules:
    * ignore liblasso-java package on architectures without gcj.
    * update to match new upstream language bindings layout.
    * don't ignore a make clean error.  (from Ubuntu patch)

 -- Frederic Peters <fpeters@debian.org>  Tue, 29 Apr 2008 22:03:51 +0200

lasso (2.1.1-3) unstable; urgency=low

  * debian/rules: added call to dh_perl; debian/control: added ${perl:Depends}
    (closes: #463097)
  * configure(.ac): fixed gcj check to work with gcj-4.3; debian/control:
    updated build-deps for gcj 4.3 and added gcc-4.3; debian/rules: force
    gcc-4.3 so jni.h is found and the java interface is built.
    (closes: #464319)

 -- Frederic Peters <fpeters@debian.org>  Tue, 25 Mar 2008 16:48:15 +0100

lasso (2.1.1-2) unstable; urgency=low

  * debian/rules, debian/*.files: updated from dh_movefiles to dh_install
    * really install files in liblasso-perl package (closes: #446578)

 -- Frederic Peters <fpeters@debian.org>  Mon, 15 Oct 2007 17:12:37 +0200

lasso (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added liblasso-perl, Perl bindings for the library.
  * debian/rules: --enable-perl

 -- Frederic Peters <fpeters@debian.org>  Wed, 22 Aug 2007 18:08:12 +0200

lasso (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: removes php4-lasso since PHP4 is no longer provided.
    (closes: #432422, #418268)

 -- Frederic Peters <fpeters@debian.org>  Mon, 09 Jul 2007 22:55:58 +0200

lasso (0.6.5-3) unstable; urgency=low

  * Converted to new Python policy (merged from unreported Ubuntu patch)
    * debian/control: keep conflict on python2.4-lasso which is unnecessary
      for Debian but will reduce Ubuntu changes.

 -- Frederic Peters <fpeters@debian.org>  Sat, 21 Oct 2006 17:31:47 +0200

lasso (0.6.5-2) unstable; urgency=low

  * debian/control: adding libgcj-dev and fastjar to build-depends since
    liblasso-java is now built.

 -- Frederic Peters <fpeters@debian.org>  Wed, 22 Mar 2006 11:06:56 +0100

lasso (0.6.5-1) unstable; urgency=low

  * New upstream release.
    * Incorporates Ubuntu patch for phpapi version.

 -- Frederic Peters <fpeters@debian.org>  Tue, 21 Mar 2006 10:48:05 +0100

lasso (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 13 Mar 2006 11:38:09 +0100

lasso (0.6.3-4) unstable; urgency=low

  * debian/control: removed mono packages from build-depends since the -cil
    package is no longer built.

 -- Frederic Peters <fpeters@debian.org>  Thu,  6 Oct 2005 14:18:56 +0200

lasso (0.6.3-3) unstable; urgency=low

  * debian/control: fixed php depends line. (closes: #331710)

 -- Frederic Peters <fpeters@debian.org>  Tue,  4 Oct 2005 22:59:17 +0200

lasso (0.6.3-2) unstable; urgency=low

  * php/Makefile.am: don't patch autogenerated swig file if swig was not
    present (which implies the file has already been patched)
  * debian/rules: touch swig generated files after configure so swig is
    not called; even if available. (closes: #331699)

 -- Frederic Peters <fpeters@debian.org>  Tue,  4 Oct 2005 21:52:25 +0200

lasso (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: new FSF address.

 -- Frederic Peters <fpeters@debian.org>  Fri, 30 Sep 2005 01:07:49 +0200

lasso (0.6.2-3) unstable; urgency=low

  * debian/control: removed liblasso-cil package since the .net assembly
    doesn't work (and don't even compile anymore) (closes: #320898)

 -- Frederic Peters <fpeters@debian.org>  Fri, 19 Aug 2005 23:08:43 +0200

lasso (0.6.2-2) unstable; urgency=low

  * debian/rules: removed call to dh_makenetshlibs which is no longer shipped
    with Mono 1.1 packages. (closes: #311837)
  * debian/control, debian/rules: updated to new CLI policy. 

 -- Frederic Peters <fpeters@debian.org>  Fri,  3 Jun 2005 20:15:12 +0200

lasso (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Thu, 26 May 2005 11:56:42 +0200

lasso (0.6.1-3) unstable; urgency=low

  * debian/control: fixed Depends line, this is no longer -zts.
  * debian/control: updated Build-depends to php4-dev (>= 4:4.3.10-10)
    (closes: #301330)

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Mar 2005 10:15:22 +0100

lasso (0.6.1-2) unstable; urgency=low

  * Rebuilt with PHP Zend Thread Safety disabled.
  * lasso/xml/lib_authn_request.c, lasso/id-ff/login.c: backported
    AssertionConsumerServiceID fix from CVS.
  * python/lasso_wrap.c, python/lasso.py: regenerated with SWIG 1.3.22;
    1.3.24 created a buggy binding.
  * debian/control: Build-depends on mono-utils (>= 1.0)

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Mar 2005 08:50:39 +0100

lasso (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * lasso/id-ff/login.c: backported SAML 1.0 compatibility fix from CVS.

 -- Frederic Peters <fpeters@debian.org>  Sun,  6 Mar 2005 14:07:45 +0100

lasso (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Rebuilt with new PHP API. (closes: #294003)

 -- Frederic Peters <fpeters@debian.org>  Tue,  8 Feb 2005 13:42:24 +0100

lasso (0.4.1-3) unstable; urgency=low

  * debian/control: added libexpat1-dev to build-depends; it is required for
    the PHP binding.

 -- Frederic Peters <fpeters@debian.org>  Mon, 13 Sep 2004 09:26:34 +0200

lasso (0.4.1-2) unstable; urgency=low

  * debian/control: added python to build-depends

 -- Frederic Peters <fpeters@debian.org>  Sun, 12 Sep 2004 21:40:57 +0200

lasso (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed,  8 Sep 2004 10:40:56 +0200

lasso (0.4.0-1) unstable; urgency=low

  * New upstream release.
    * changed soname, liblasso0 -> liblasso1
  * Packaging of PHP4 binding and .NET assemblies.

 -- Frederic Peters <fpeters@debian.org>  Mon,  6 Sep 2004 19:18:38 +0200

lasso (0.3.0-6) unstable; urgency=low

  * debian/control: improved package description (closes: #266556)
  * python/: backported fix to use libtool correctly; should fix the build
    failures on hppa and amd64 (closes: #267556, #268198)

 -- Frederic Peters <fpeters@debian.org>  Thu, 26 Aug 2004 17:01:13 +0200

lasso (0.3.0-4) unstable; urgency=low

  * debian/copyright: fixed address of the FSF; add a pointer to
    /usr/share/common-licenses/GPL.
  * debian/control: lasso source package goes in section libs and liblasso-dev
    goes in section libdevel
  * debian/control: -dev package renamed to liblasso0-dev; provides
    liblasso-dev (per Debian Library Packaging guide)

 -- Frederic Peters <fpeters@debian.org>  Sun,  8 Aug 2004 10:55:39 +0200

lasso (0.3.0-3) unstable; urgency=low

  * fixed lasso.pc

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Jul 2004 23:24:57 +0200

lasso (0.3.0-2) unstable; urgency=low

  * debian/liblasso0-python2.3.files: don't include static library in Python
    package. [brown bag]

 -- Frederic Peters <fpeters@debian.org>  Tue, 27 Jul 2004 17:23:07 +0200

lasso (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 27 Jul 2004 16:50:43 +0200